Imports EgtUILib
Imports EgtBEAMWALL.Core

Public Class AboutBoxV

   Private Sub AboutBoxWD_Loaded(sender As Object, e As RoutedEventArgs) Handles Me.Loaded
      DescriptionLbl.Text = My.Application.Info.Description.ToString()
      VersionLbl.Text = "Version : " & My.Application.Info.Version.Major.ToString() &
                                 "." & My.Application.Info.Version.Minor.ToString() &
                                 (ChrW(97 - 1 + My.Application.Info.Version.Build)).ToString() &
                                 My.Application.Info.Version.Revision.ToString()
      CopyrightLbl.Text = My.Application.Info.Copyright.ToString()
      Dim sInfo As String = String.Empty
      Dim sKey As String = String.Empty
      EgtGetKeyInfo(sKey)
      Dim sKlev As String = Map.refMainWindowVM.MainWindowM.nKeyLevel.ToString()
      Dim sOpts As String = Map.refMainWindowVM.MainWindowM.nKeyOptions.ToString()
      Dim sLeftDays As String = ""
      Dim nLeftDays As Integer 
      if EgtGetKeyLeftDays( nLeftDays) AndAlso nLeftDays < 500 Then sLeftDays= " (" & nLeftDays.ToString() & ")"
      sInfo = If( EgtIsDebug(), "*** Debug Libraries ***" & Environment.NewLine, "") 
      sInfo &= "User " & Environment.MachineName & "\" & Environment.UserName &
                       " (" & Map.refMainWindowVM.MainWindowM.nInstance.ToString() & ")" & Environment.NewLine
      sInfo &= sKey & " - " & sKlev & " - " & sOpts & sLeftDays & Environment.NewLine
      sInfo &= "DataRoot " & Map.refMainWindowVM.MainWindowM.sDataRoot & Environment.NewLine
      sInfo &= "MachinesRoot " & Map.refMainWindowVM.MainWindowM.sMachinesRoot & Environment.NewLine
      Dim sOpSys As String = String.Empty
      EgtGetOsInfo( sOpSys)
      sInfo &= sOpSys & Environment.NewLine
      Dim sCPU As String = String.Empty
      EgtGetCpuInfo( sCPU)
      sInfo &= sCPU & Environment.NewLine
      Dim sScene As String = String.Empty
      EgtGetSceneInfo(sScene)
      sInfo &= sScene
      InfoLbl.Text = sInfo
      ExitBtn.Content = EgtMsg(MSG_MISSINGKEYWD + 4)          'Ok
   End Sub

End Class
